 <html>
	<head>
		<title>Tablab - Classrooms</title>

        <% include ../partials/head %>
		<link rel='stylesheet' href="/css/signin_reg.css" />
		<link rel='stylesheet' href="/css/modal-style.less" />

		<style>
			label {
				width:100%;
				font-size: 16px;
				font-size: 1.2vw;
				margin: 2px auto;
			}

			.separator-heading {
				margin-bottom: 20px;
				background-color: #C11925;
				color: white;
				border: 2px solid #ffcccc;
				border-radius: 5px;
			}
			
            h3 {
                margin-left: 5px;
                margin-right: 5px;
                padding: 5px; 
				border: 2px solid #ffcccc;
                border-radius: 5px; 
                background-color: #c11925; 
                color: white;
            }
			table, th {
				font-size: 16px;
				font-size: 1.2vw;
				text-align: center;
			}
		</style>
	</head>

	<body>
        <% include ../partials/reportsHeader %>		

		<div class="form-group" style="display:none;">
			<input id="uid" class="form-control" value="<%= uid%>" disabled>
			<input id="did" class="form-control" value="<%= did%>" disabled>
			<input id="username" class="form-control" value="<%= name%>" disabled>
		</div>

		<div class="container" style="margin-top:0px; margin-bottom:10px;">
			<ul id="ul-pills" class="nav nav-pills sky">
                <li class="active">
                    <a href="#allClassrooms" data-toggle="tab">Classrooms</a>
				</li>
                <li class="">
                    <a href="#addClassroom" data-toggle="tab">Add A Classroom</a>					
				</li>
			</ul>

            <div id="pills-div" class="tab-content clearfix" style="disp">
                <div class="tab-pane active row" id="allClassrooms">
					<div class="col-lg-12 col-md-12 col-xs-12">
		                <div class="table-responsive" style="border:solid thin #999999; border-radius: 5px; padding-top:0px; margin-top:0px;margin-bottom:0px"> 
							<h3 align="center">
								Classrooms And Their Details
							</h3>
							<hr>
							<table class="table">
								<thead class="row">
										<tr>
										<th class="col-md-4">Class</th>
										<th class="col-md-3">Number of Students</th>
										<th class="col-md-3">See Teachers</th>
										<th class="col-md-2">Edit</th>
										</tr>
								</thead>
								<tbody class="row" id="classroomsList">
								</tbody>
							</table>
						</div>
					</div>  
				</div>
                <div class="tab-pane" id="addClassroom">
					<div class="panel panel-login">
						<h3 align="center">
							Add Classroom
						</h3>
						<hr/>

                        <div id="loader" style="display:none;">
                            <div class="loader"></div>
                        </div>

						<div class="panel-body">
							<div class="row">
								<div class="col-lg-12">
									<form id="form" role="form" style="display:block;">
										<div id="mainDiv">
											<div class="form-group">
												<div class="row" id="inputClassesDetails">
													<div class="form-group col-lg-3 col-md-3 col-sm-3 col-xs-3">
														<a class="active" id="login-form-link" data-toggle="popover" data-trigger="hover" title="Popover Header" data-content="Some content inside the popover 7"><label>Enter Class Number</label></a>
														<input type="number" name="classnumber" id="classnumber" tabindex="1" class="form-control" placeholder="Class" value="" min='0'>
													</div>
													<div class="form-group col-lg-3 col-md-3 col-sm-3 col-xs-3">
														<a class="active" id="login-form-link" data-toggle="popover" data-trigger="hover" title="Popover Header" data-content="Some content inside the popover 7"><label>Enter Section</label></a>
														<input type="text" class="form-control" name="section" id="section" 
	    													   style="text-transform:uppercase" placeholder="Section" tabindex="1" value="">
													</div>
													<div class="form-group col-lg-3 col-md-3 col-sm-3 col-xs-3">
														<a class="active" id="login-form-link" data-toggle="popover" data-trigger="hover" title="Popover Header" data-content="Some content inside the popover 7"><label>Total Students</label></a>
														<input type="number" class="form-control" name="tStudents" id="tStudents" placeholder="Students" tabindex="1" value="" min="0">
													</div>
													<div class="form-group col-lg-3 col-md-3 col-sm-3 col-xs-3">
														<a class="active" id="login-form-link" data-toggle="popover" data-trigger="hover" title="Popover Header" data-content="Some content inside the popover 7"><label>&nbsp;&nbsp;&nbsp;</label></a>
														<input type="button" id="saveClassInputs" class="red-round" value="Add">
													</div>
												</div>
											</div>
                                        </div>
									</form>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>

		<!-- modal -->
		<div id="modalDiv"
			class="modal animated bounceIn"
			tabindex="-1"
			role="dialog"
			aria-labelledby="myModalLabel"
			aria-hidden="true">

			<!-- dialog -->
			<div class="modal-dialog">

				<!-- content -->
				<div class="modal-content">

					<!-- header -->
					<div class="modal-header">
						<h3 id="myModalLabel"
							class="modal-title">
							Linked Teachers
						</h3>
					</div>
					<!-- header -->
					
					<!-- body -->
					<div class="modal-body">
						<div class="row" style="margin-left:5px; margin-right:5px;">
							<div class="tab-pane" id="schoolDetailsDiv">
								<ul id="ul-pills" class="nav nav-pills sky">
									<li class="active">
										<a href="#" data-toggle="tab">
											Class <span id="selectedClass"></span>
										</a>					
									</li>
																	
									<!-- footer -->
									<li style="float:right;">
										<button class="btn btn-default"
												data-dismiss="modal">
											close
										</button>
									</li>
									<!-- footer -->
								</ul>
							</div>
						</div>
						<div id="pills-div" class="tab-content clearfix"  style="border:solid thin #999999; border-radius: 5px; padding-top:0px; margin-top:0px;margin-bottom:0px; disp">
							<div class="tab-pane row active" id="11a"  style="margin:5px;">
								<div class="panel-body">
									<div class="row">
										<div class="col-lg-12">
											<table class="table">
												<thead class="row">
													<tr>
														<th class="col-md-2">Name</th>
														<th class="col-md-2">E-mail</th>
														<th class="col-md-2">Subjects</th>
														<th class="col-md-2">Role</th>
														<th class="col-md-2">Edit</th>
														<th class="col-md-2">Delete</th>
													</tr>
												</thead>
												<tbody class="row" id="subjectTeachers">
												</tbody>
											</table>
											<table class="table">
												<tbody class="row" id="classTeacher">
												</tbody>
											</table>
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</body>
	
	<script src='/js/3-6-10-firebase.js'></script>
	<script src='/js/functions.js'></script>
	<script src='/js/loginHandler.js'></script>
	<script src="/js/AddClassroom.js"></script>
</html>